# Class CIM_ChassisInRack
extends CIM_Container

Racks, as simple enclosures, contain Chassis that provide the physical componentry realizing processing nodes, storage devices, UPSs, etc. The ChassisInRack association makes explicit the 'containing' relationship between the Rack and the Chassis.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_Container
|
+--CIM_ChassisInRack

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | Racks, as simple enclosures, contain Chassis that provide the physical componentry realizing processing nodes, storage devices, UPSs, etc. The ChassisInRack association makes explicit the 'containing' relationship between the Rack and the Chassis.
UMLPackagePath | string | CIM::Physical::Package
Version | string | 2.21.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
BottomU | uint16 |
Description | string | An integer indicating the lowest or 'bottom' U in which the Chassis is mounted. A 'U' is a standard unit of measure for the height of a Rack or rack-mountable component. It is equal to 1.75 inches or 4.445 cm.
PUnit | string | rack unit
Units | string | Us

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_ChassisInRack | CIM_Rack
PartComponent | CIM_ChassisInRack | CIM_Chassis

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
LocationWithinContainer | string | CIM_Container

## Class Methods